Context-Aware Navigation Protocol for IP-Based Vehicular Networks
Jaehoon Paul Jeong, Ed.
Department of Computer Science and Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4957
+82 31 290 7996
pauljeong@skku.edu
http://iotlab.skku.edu/people-jaehoon-jeong.php
Bien Aime Mugabarigira
Department of Electrical and Computer Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 10 5964 8794
+82 31 290 7996
bienaime@skku.edu
Yiwen Chris Shen
Department of Electrical and Computer Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
+82 31 290 7996
chrisshen@skku.edu
Junhee Kwon
Department of Computer Science and Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
+82 31 290 7996
juun9714@skku.edu
Zeung Il (Ben) Kim
Electric Energy Control Test Team
Hyundai Motor
150 Hyundaiyeonguso-ro, Namyang-eup
Hwaseong
Gyeonggi-Do
18280
Republic of Korea
+82-10-8805-3810
+82-31-5172-3134
ben.kim@hyundai.com
25 July 2022
Internet
IPWAVE Working Group
Internet-Draft
This document proposes a Context-Aware Navigation Protocol (CNP) for IP-based vehicular networks for cooperative navigation among vehicles in road networks. This CNP aims at the enhancement of driving safety through a light-weight driving information sharing method. The CNP protocol uses an IPv6 Neighbor Discovery (ND) option to convey driving information such as a vehicle's position, speed, acceleration/deceleration, and direction, and a driver's driving action (e.g., braking and accelerating).

Introduction
The enhancement of driving safety is one of objectives of cooperative driving in vehicular networks. Dedicated Short-Range Communications (DSRC) is for vehicular communications [DSRC]. IEEE has standardized a family standard suite of Wireless Access in Vehicular Environments (WAVE) [WAVE]. Also, IETF has standardized an IPv6 packet delivery protocol over IEEE 802.11-OCB (Outside the Context of a Basic Service Set) [RFC8691], which is a MAC protocol for vehicles in WAVE.
A vehicle equipped with various sensors and a DSRC device can sense its surrounding environment including its neighboring vehicles, and share the sensed data and its mobility information (e.g., position, speed, acceleration/deceleration, and direction) with its neighboring vehicles. This information sharing allows vehicles to assess the collision risk and make their maneuvers to avoid an accident in a prompt way. That is, the capability of sensing, computing, and communication of vehicles enables them to understand the driving environment and situation (i.e., context), and cooperate with each other during their navigation.
The driving information sharing enables context-aware navigation where each vehicle can display its neighboring vehicles, pedestrians, and obstacles in its navigation system [CASD]. With this CNP, a driver can make a better decision on driving to avoid an accident, and an autonomous vehicle can control its maneuver to escape from a possible fatality in advance.
For this CNP service, this document proposes a light-weight data sharing protocol using a new IPv6 Neighbor Discovery (ND) option for Vehicle Mobility Information, which is called Vehicle Mobility Information (VMI) option. This VMI option can be included by a Neighbor Advertisement (NA) message in Vehicular Neighbor Discovery (VND) [ID-Vehicular-ND].
There are two messages for the CNP services with the VMI option such as Cooperation Context Message (CCM) and Emergency Context Message (ECM). The CCM is a message to deliver a vehicle's motion information (e.g., position, speed, acceleration/deceleration, direction) and a driver's driving action (e.g., braking and accelerating) to its neighboring vehicles for cooperative driving. The ECM is a message to notify a vehicle's neighboring vehicles of an emergency situation (e.g., an accident and dangerous situation). The ECM has a higher priority than the CCM such that the ECM needs to be disseminated faster than the CCM in vehicular networks.

Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in RFC 2119 [RFC2119].

Terminology
This document uses the terminology described in [ID-IPWAVE-PS].

Vehicle Mobility Information Option
Vehicle Mobility Information (VMI) option is an IPv6 ND option to convey either a CCM or ECM. Figure 1 shows the format of the VMI option.

Vehicle Mobility Information (VMI) Option Format

   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |     Type      |    Length     |    Message    |  Reserved1    |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |                           Reserved2                           |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |                                                               |
  :                      Mobility Information                     :
  |                                                               |
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Fields:
 Type           8-bit identifier of the VMI option type as assigned
                by the IANA: TBD

 Length         8-bit unsigned integer.  The length of the option
                (including the Type and Length fields) is in units of
                8 octets.  The value is 3.

 Message        8-bit identifier of the VMI message type as CCM (0)
                and ECM (1).

 Reserved1      This field is unused.  It MUST be initialized to
                zero by the sender and MUST be ignored by the
                receiver.

 Reserved2      This field is unused.  It MUST be initialized to
                zero by the sender and MUST be ignored by the
                receiver.

 Mobility Information
                128-bit mobility information.  It contains a vehicle's
                motion information (e.g., position, speed,
                acceleration/deceleration, direction) and a driver's
                driving action (e.g., braking and accelerating) for
                CCM.  Also, it contains a vehicle's emergency
                information (e.g., obstacle information and accident
                information).

A CCM in a VMI option can be included in an NA message that a vehicle transmits periodically to announce its existence and routing information to its one-hop neighboring vehicles [ID-Vehicular-ND].
An ECM in a VMI option can be included in an NA message that a vehicle transmits to immediately announce an emergency situation to its one-hop neighboring vehicles [ID-Vehicular-ND].
To let the vehicles take an immediate action on an emergency situation, the ECM has a higher priority than the CCM. Thus, if a vehicle has an ECM and a CCM to send, it SHOULD transmit the ECM earlier than the CCM.

Security Considerations
This document shares all the security issues of the IPv6 ND protocol. This document can get benefits from Secure Neighbor Discovery (SEND) [RFC3971] in order to protect exchanged messages from possible security attacks.

Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
[RFC4861]

Neighbor Discovery for IP Version 6 (IPv6)
T. Narten
E. Nordmark
W. Simpson
H. Soliman
September 2007
RFC 4861
[RFC3971]

SEcure Neighbor Discovery (SEND)
J. Arkko
March 2005
RFC 3971
[RFC8691]

Basic Support for IPv6 Networks Operating Outside the Context of a Basic Service Set over IEEE Std 802.11
N. Benamar
J. Haerri
J. Lee
T. Ernst
December 2019
RFC 8691
[ID-IPWAVE-PS]

IPv6 Wireless Access in Vehicular Environments (IPWAVE): Problem Statement and Use Cases
J. Jeong
May 2022
Internet-Draft draft-ietf-ipwave-vehicular-networking-29

Informative References
[ID-Vehicular-ND]

Vehicular Neighbor Discovery for IP-Based Vehicular Networks
J. Jeong, Ed.
Y. Shen
Z. Xiang
S. Cespedes
February 2022
Internet-Draft draft-jeong-ipwave-vehicular-neighbor-discovery-13
[DSRC]

Standard Specification for Telecommunications and Information Exchange Between Roadside and Vehicle Systems - 5 GHz Band Dedicated Short Range Communications (DSRC) Medium Access Control (MAC) and Physical Layer (PHY) Specifications
ASTM International
October 2010
ASTM E2213-03(2010)
[WAVE]

IEEE Guide for Wireless Access in Vehicular Environments (WAVE) - Architecture
IEEE 1609 Working Group
March 2014
IEEE Std 1609.0-2013
[IEEE-802.11-OCB]

Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) Specifications
IEEE 802.11 Working Group
December 2016
IEEE Std 802.11-2016
[CASD]

CASD: A Framework of Context-Awareness Safety Driving in Vehicular Networks
Y. Shen
J. Jeong
T. Oh
S. Son
March 2016
International Workshop on Device Centric Cloud (DC2)

Acknowledgments
This work was supported in part by Institute of Information & Communications Technology Planning & Evaluation (IITP) grant funded by the Korea Ministry of Science and ICT (MSIT) (2020-0-00395-003, Standard Development of Blockchain based Network Management Automation Technology).
This work was supported in part by the MSIT under the ITRC (Information Technology Research Center) support program (IITP-2022-2017-0-01633) supervised by the IITP.

Contributors
This document is made by the group effort of IPWAVE working group. Many people actively contributed to this document, such as Carlos J. Bernardos and Russ Housley. The authors sincerely appreciate their contributions.
The following are co-authors of this document:
Zhong Xiang -
Department of Electrical and Computer Engineering,
Sungkyunkwan University,
2066 Seobu-ro Jangan-gu,
Suwon, Gyeonggi-do 16419,
Republic of Korea.
EMail: xz618@skku.edu

Changes from draft-jeong-ipwave-context-aware-navigator-05
The following changes are made from draft-jeong-ipwave-context-aware-navigator-05:
- This version updates the author list.